Debian Bug report logs - #643595
ITP: snes9x -- Cross-platform SNES emulator

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Moorman <tensorpuddin@devio.us>

Date: Tue, 27 Sep 2011 21:36:02 UTC

Owned by: Michael Moorman <tensorpuddin@devio.us>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tensorpuddin@devio.us, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#643595; Package wnpp. (Tue, 27 Sep 2011 21:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Moorman <tensorpuddin@devio.us>:
New Bug report received and forwarded. Copy sent to tensorpuddin@devio.us, debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 27 Sep 2011 21:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Moorman <tensorpuddin@devio.us>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: snes9x -- Cross-platform SNES emulator
Date: Tue, 27 Sep 2011 17:32:20 -0400
Package: wnpp
Severity: wishlist
Owner: Michael Moorman <tensorpuddin@devio.us>

* Package name    : snes9x
  Version         : 1.53
  Upstream Author : Gary Henderson <gary.henderson@ntlworld.com>
* URL             : http://www.snes9x.com
* License         : Other
  Programming Lang: C++
  Description     : Cross-platform SNES emulator

The old snes9x package was removed (#617588) due to being orphaned, and not
being updated in over a year. However, a new upstream release has appeared since
then and I have begun packaging it.

The package seems to be non-free, and was listed in non-free previously.

The current free alternative in Debian is zsnes, but zsnes is also out-of-date
and furthermore is i386 only, whereas snes9x does not have this problem.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Sun, 03 Feb 2013 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Sun, 03 Feb 2013 01:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 643595@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Michael Moorman <tensorpuddin@devio.us>
Cc: 643595@bugs.debian.org
Subject: Re: ITP: snes9x -- Cross-platform SNES emulator
Date: Sun, 03 Feb 2013 02:48:58 +0100
Hi Michael,

> The old snes9x package was removed (#617588) due to being orphaned,
> and not being updated in over a year. However, a new upstream release 
> has appeared since then and I have begun packaging it.

Do you need a sponsor? I'd be happy to help.

Cheers,

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Sun, 03 Feb 2013 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Sun, 03 Feb 2013 21:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 643595@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Michael Moorman <tensorpuddin@devio.us>
Cc: Félix Arreola Rodríguez <fgatuno.123@gmail.com>, 643595@bugs.debian.org
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Sun, 03 Feb 2013 22:35:49 +0100
On 02/03/2013 10:30 PM, Michael Moorman wrote:
> I just tested building it with the latest version and it builds cleanly
> and is lintian clean. Development seems to have shifted from that page
> to the upstream's git repository for now though, primarily for bugfixes.
>
> In any case, that is the state of the package right now. Neither Félix
> nor I had attempted to get a sponsor before this, so I'm sure we'll
> appreciate any advice you have for us.

Sounds great. I'd suggest uploading it to Mentors and I'll have a look. 
If everything is fine, I can upload it and we'll see whether it will 
pass the wizards at the NEW queue ;).

If there's really an issue with the license, the package will get 
rejected in the worst case. But since the package has been in Debian 
before, I think chances are good it would be accepted into non-free again.

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Tue, 05 Feb 2013 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Félix Arreola Rodríguez <fgatuno.123@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Tue, 05 Feb 2013 13:15:04 GMT) Full text and rfc822 format available.

Message #20 received at 643595@bugs.debian.org (full text, mbox):

From: Félix Arreola Rodríguez <fgatuno.123@gmail.com>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: Michael Moorman <tensorpuddin@devio.us>, 643595@bugs.debian.org
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Tue, 5 Feb 2013 07:12:22 -0600
Hi!

I can give access to anyone in the git repo. Also, I have some working
backport'ed packages on a private repo server.

You can add this repo with:

deb http://alanturing.cucei.udg.mx/debian gatuno-squeeze main contrib non-free

The packages seems to be working, you can try to rebuild them.

I don't what else to say, but I want to help in anything that I can.


-- 
Atte. Félix Arreola Rodríguez,
«Sin firma GPG»



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Tue, 26 Mar 2013 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Tue, 26 Mar 2013 23:54:04 GMT) Full text and rfc822 format available.

Message #25 received at 643595@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Michael Moorman <tensorpuddin@devio.us>, Félix Arreola Rodríguez <fgatuno.123@gmail.com>, 643595@bugs.debian.org
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Wed, 27 Mar 2013 00:51:24 +0100
Ping :). Any news on that ITP.

I'd love to see snes9x in Debian and I'd be happy to sponsor it.

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#643595; Package wnpp. (Mon, 08 Apr 2013 17:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Moorman <tensorpuddin@devio.us>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Apr 2013 17:42:09 GMT) Full text and rfc822 format available.

Message #30 received at 643595@bugs.debian.org (full text, mbox):

From: Michael Moorman <tensorpuddin@devio.us>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 643595@bugs.debian.org, Félix Arreola Rodríguez <fgatuno.123@gmail.com>
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Mon, 08 Apr 2013 13:31:32 -0400
On 02/03/2013 04:35 PM, John Paul Adrian Glaubitz wrote:
> On 02/03/2013 10:30 PM, Michael Moorman wrote:
>> I just tested building it with the latest version and it builds cleanly
>> and is lintian clean. Development seems to have shifted from that page
>> to the upstream's git repository for now though, primarily for bugfixes.
>>
>> In any case, that is the state of the package right now. Neither Félix
>> nor I had attempted to get a sponsor before this, so I'm sure we'll
>> appreciate any advice you have for us.
>
> Sounds great. I'd suggest uploading it to Mentors and I'll have a look.
> If everything is fine, I can upload it and we'll see whether it will
> pass the wizards at the NEW queue ;).
>
> If there's really an issue with the license, the package will get
> rejected in the worst case. But since the package has been in Debian
> before, I think chances are good it would be accepted into non-free again.
>
> Adrian
>

Sorry to bring this back up now, but I was distracted for a time and I 
lost the email that you sent back in March somehow (can't find it 
anywhere...)

I don't think I could upload it to Mentors without having put another 
revision on the changelog (since Félix was the last one to update the 
package, it asks for his key when signing). I put a fake update and 
uploaded it to Mentors anyway, but I know you won't upload it like that...

Anyway, the link to the package on Mentors is here:
https://mentors.debian.net/package/snes9x

It says that the watch file doesn't work, but the URLs listed checked 
out, so I'm not sure what the issue with that is.

Michael



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Wed, 10 Apr 2013 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Wed, 10 Apr 2013 15:51:04 GMT) Full text and rfc822 format available.

Message #35 received at 643595@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Michael Moorman <tensorpuddin@devio.us>
Cc: 643595@bugs.debian.org, Félix Arreola Rodríguez <fgatuno.123@gmail.com>, Bart Martens <bartm@debian.org>
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Wed, 10 Apr 2013 17:48:38 +0200
On 04/08/2013 07:31 PM, Michael Moorman wrote:
> Sorry to bring this back up now, but I was distracted for a time and I
> lost the email that you sent back in March somehow (can't find it
> anywhere...)

No problem, I'm still very interested!

> I don't think I could upload it to Mentors without having put another
> revision on the changelog (since Félix was the last one to update the
> package, it asks for his key when signing). I put a fake update and
> uploaded it to Mentors anyway, but I know you won't upload it like that...

Well, you should agree with Felix on who is going to be the maintainer. 
Or is this going to be a team upload?

You don't have to create a new changelog entry, you can just hijack the 
old one with "dch -R".

> Anyway, the link to the package on Mentors is here:
> https://mentors.debian.net/package/snes9x

Great, I'll have a look.

> It says that the watch file doesn't work, but the URLs listed checked
> out, so I'm not sure what the issue with that is.

I just CC this to Bart Martens who is an expert on the watch file syntax 
in the hope he'll create a valid entry for you. He constantly fixes all 
the watch files for various packages which is incredibly helpful :).

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Tue, 23 Apr 2013 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neutron Soutmun <neo.neutron@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Tue, 23 Apr 2013 14:33:04 GMT) Full text and rfc822 format available.

Message #40 received at 643595@bugs.debian.org (full text, mbox):

From: Neutron Soutmun <neo.neutron@gmail.com>
To: Michael Moorman <tensorpuddin@devio.us>, 643595@bugs.debian.org
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Tue, 23 Apr 2013 21:28:30 +0700
[Message part 1 (text/plain, inline)]
On 04/08/2013 07:31 PM, Michael Moorman wrote:
> It says that the watch file doesn't work, but the URLs listed checked
> out, so I'm not sure what the issue with that is.

FYI: http://wiki.debian.org/debian/watch/

You could find the example watch file for google code site.
The watch file could be written like this,

version=3
http://code.google.com/p/snes9x-gtk/downloads/list?can=1 \
  .*/snes9x-(\d[\d.]*)-src\.tar\.bz2

Then, you could test the watch file with uscan,

$ uscan --report-status

Best regards,
Neutron Soutmun
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#643595; Package wnpp. (Tue, 23 Apr 2013 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Moorman <tensorpuddin@devio.us>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 23 Apr 2013 16:36:04 GMT) Full text and rfc822 format available.

Message #45 received at 643595@bugs.debian.org (full text, mbox):

From: Michael Moorman <tensorpuddin@devio.us>
To: Neutron Soutmun <neo.neutron@gmail.com>, 643595@bugs.debian.org
Cc: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, Félix Arreola Rodríguez <fgatuno.123@gmail.com>
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Tue, 23 Apr 2013 12:33:29 -0400
On 04/23/2013 10:28 AM, Neutron Soutmun wrote:
> On 04/08/2013 07:31 PM, Michael Moorman wrote:
>> It says that the watch file doesn't work, but the URLs listed checked
>> out, so I'm not sure what the issue with that is.
>
> FYI: http://wiki.debian.org/debian/watch/
>
> You could find the example watch file for google code site.
> The watch file could be written like this,
>
> version=3
> http://code.google.com/p/snes9x-gtk/downloads/list?can=1 \
>    .*/snes9x-(\d[\d.]*)-src\.tar\.bz2
>
> Then, you could test the watch file with uscan,
>
> $ uscan --report-status
>
> Best regards,
> Neutron Soutmun

Ah, thank you, that watch line you listed seems to work properly. I 
uploaded this change to mentors now, and it seems to pass without any 
warnings.

Thanks,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Tue, 23 Apr 2013 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neutron Soutmun <neo.neutron@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Tue, 23 Apr 2013 17:30:04 GMT) Full text and rfc822 format available.

Message #50 received at 643595@bugs.debian.org (full text, mbox):

From: Neutron Soutmun <neo.neutron@gmail.com>
To: Michael Moorman <tensorpuddin@devio.us>
Cc: 643595@bugs.debian.org, John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, Félix Arreola Rodríguez <fgatuno.123@gmail.com>
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Wed, 24 Apr 2013 00:27:12 +0700
[Message part 1 (text/plain, inline)]
On Tue, Apr 23, 2013 at 11:33 PM, Michael Moorman <tensorpuddin@devio.us>wrote:

> Ah, thank you, that watch line you listed seems to work properly. I
> uploaded this change to mentors now, and it seems to pass without any
> warnings.
>

You're welcome. :)

I'm not thoroughly review your package but it seems that you bump the
standard-versions in this upload to mentors.d.n without any logging in
debian/changelog.
Hopefully, you already consult
/usr/share/doc/debian-policy/upgrading-checklist.txt.gz and no changes
needed.

Best regards,
Neutron Soutmun
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Tue, 23 Apr 2013 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Tue, 23 Apr 2013 18:06:04 GMT) Full text and rfc822 format available.

Message #55 received at 643595@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Neutron Soutmun <neo.neutron@gmail.com>
Cc: Michael Moorman <tensorpuddin@devio.us>, 643595@bugs.debian.org, Félix Arreola Rodríguez <fgatuno.123@gmail.com>
Subject: Re: Bug#643595: ITP: snes9x -- Cross-platform SNES emulator
Date: Tue, 23 Apr 2013 20:03:52 +0200
On 04/23/2013 07:27 PM, Neutron Soutmun wrote:
> I'm not thoroughly review your package but it seems that you bump the
> standard-versions in this upload to mentors.d.n without any logging in
> debian/changelog.
> Hopefully, you already consult
> /usr/share/doc/debian-policy/upgrading-checklist.txt.gz and no changes
> needed.

I'll review the package later and suggest further changes. There are 
some spelling errors in the debian/control file, the debhelper version 
should be bumped to 9 and so on.

Cheers,

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>:
Bug#643595; Package wnpp. (Tue, 23 Apr 2013 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Moorman <tensorpuddin@devio.us>. (Tue, 23 Apr 2013 22:12:04 GMT) Full text and rfc822 format available.

Message #60 received at 643595@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Michael Moorman <tensorpuddin@devio.us>
Cc: Neutron Soutmun <neo.neutron@gmail.com>, Félix Arreola Rodríguez <fgatuno.123@gmail.com>, 643595@bugs.debian.org
Subject: snes9x review (current version from Debian Mentors)
Date: Wed, 24 Apr 2013 00:09:27 +0200
Hello Michael,

here my review of your snes9x package that is currently on Debian Mentors.

Going through the files in the debian directory and doing a lintian 
check with "lintian -i -I -E --pedantic snes9x_1.53-3_amd64.changes" on 
the freshly built package without modifications:

==================================================================

debian/changelog:

* Please change the following line:

"  * debian/watch: Fixing watch file."

to

"  * debian/watch: Fix watch file."

* There are trailing spaces at the end of the following lines:

181, 215, 225, 246, 254, 260, 337.

Please remove them. You can edit the changelog in emacs to spot these 
spaces easily.

* Please fix the following spelling mistake:

"  * debian/rules: Fix a bug that emptys snes9x-x target."

It's spelled "empties", not "emptys".

* Please fix the capitalization of the "Closes" directive for the 
entries where it is written lower case. It should always be "(Closes: 
#nnnnnn), not "(closes: #nnnnnn)". (Yes, I am nitpicky, but it's a 
matter of consistency and you also want your package to pass NEW quickly 
;)).

* Replace "New Upstream" or "New upstream version" always with "New 
upstream release." which is the canonical form for that entry.

If you see other obvious spelling, grammar mistakes, please correct them!

==================================================================

debian/compat:

Please bump the version of debhelper to version 9 (also adjust 
dependency in debian/control).

This should also enable automatic hardening and fix the lintian warnings 
mentioned further below.

==================================================================

debian/control:

* The standards version was bumped to 3.9.4, however this change was not 
documented in debian/changelog, please add that. Also, please make sure 
to include all changes that you are making now to the package (e.g. 
fixing the spelling in the changelog) to the Debian changelog :).

* There are no entries for Vcs-Git and Vcs-Browser. Is your source for 
the Debian packaging not somewhere available online?

* Capitalization: "Workstation" => "workstation"

==================================================================

debian/copyright:

* This should be updated to the new machine-readable copyright format, see:

> http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

==================================================================

debian/patches/series and debian/patches/fix-typo.patch:

* Remove extra empty lines at the end of the files.

==================================================================

debian/rules:

* The rules file can probably further simplified taking advantage of the 
capabilities of recent versions of debhelper (version 9).

Many packages just require the following two lines:

%:
	dh $@

But snes9x might need some extra overrides. Please refer to the 
debhelper manual for more. You may also ask for help in the 
#debian-mentors IRC channel on OFTC or other resources.

==================================================================

debian/snes9x-x.README.debian:

The instructions about adding users to the groups "audio" (users are in 
these groups when logging in locally anyway) and "kmem" (is this really 
still required, please check!) are probably obsolete. The former is 
definitely redundant, but I am not sure about the latter. Please check 
and if it's no longer required, please remove these lines.

What about this statement, is this still up-to-date?

"The new Upstream does not support any of these Versions anymore. At 
least the OpenGL version is expected to come back soon."

If yes, please fix the capitalization of "Upstream" and "Versions."

Or you may just drop/rewrite this file altogether.

==================================================================

There are lintian problems that should be addressed:

glaubitz@z6:..debian/snes9x-1.53> lintian -i -E -I --pedantic 
/var/cache/pbuilder/result//snes9x_1.53-3_amd64.changes
W: snes9x-gtk: hardening-no-relro usr/games/snes9x-gtk
N:
N:    This package provides an ELF binary that lacks the "read-only
N:    relocation" link flag. This package was likely not built with the
N:    default Debian compiler flags defined by dpkg-buildflags. If built 
using
N:    dpkg-buildflags directly, be sure to import LDFLAGS.
N:
N:    Refer to http://wiki.debian.org/Hardening for details.
N:
N:    Severity: normal, Certainty: certain
N:
N:    Check: binaries, Type: binary, udeb
N:
W: snes9x-gtk: hardening-no-fortify-functions usr/games/snes9x-gtk
N:
N:    This package provides an ELF binary that lacks the use of 
fortified libc
N:    functions. Either there are no potentially unfortified functions 
called
N:    by any routines, all unfortified calls have already been fully 
validated
N:    at compile-time, or the package was not built with the default Debian
N:    compiler flags defined by dpkg-buildflags. If built using
N:    dpkg-buildflags directly, be sure to import CPPFLAGS.
N:
N:    NB: Due to false-positives, Lintian ignores some unprotected functions
N:    (e.g. memcpy).
N:
N:    Refer to http://wiki.debian.org/Hardening and
N:    http://bugs.debian.org/673112 for details.
N:
N:    Severity: normal, Certainty: possible
N:
N:    Check: binaries, Type: binary, udeb
N:
W: snes9x-x: hardening-no-relro usr/games/snes9x
W: snes9x-x: hardening-no-fortify-functions usr/games/snes9x
I: snes9x-x: possible-documentation-but-no-doc-base-registration
N:
N:    The package ships a .html or .pdf file under /usr/share/doc/, 
which are
N:    usually documentation, but it does not register anything in doc-base.
N:    (Files under an examples directory are excluded.)
N:
N:    Refer to Debian Policy Manual section 9.10 (Registering Documents 
using
N:    doc-base) for details.
N:
N:    Severity: wishlist, Certainty: possible
N:
N:    Check: menus, Type: binary
N:
glaubitz@z6:..debian/snes9x-1.53>

Bumping the debhelper version from 7 to 9 should fix all the issues with 
the hardening of the binary, you can ignore the warning about the 
doc-base registration so far. It's not that important in my opinion.

==================================================================

Please fix the above issues and re-upload the fixed package to Mentors 
for another review. Please do not bump the Debian revision for the fixed 
package, just overwrite the current version on Debian Mentors.

If you need help fixing the above issues, please let me know or ask the 
guys in #debian-mentors on the OFTC IRC network. They are very helpful 
and with their help you should be able to fix the issues in no time.

==================================================================

Cheers,

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:01:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.